{% extends 'base.html' %}
{% load static %}

{% block meta %}
    <title>Story 5 Andre</title>
    <link rel="stylesheet" type="text/css" href="{% static 'Story_5/style.css' %}" />
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
{% endblock meta %}

{% block content %}
    <div class = "content center lebar-max">
        <form class = "flex-column center outside-in lebar-half" action="tambah" method="GET">
            <h1 class = "text-center inner-vertical-in montserrat-judul">Daftar Mata Kuliah</h1>
            {% csrf_token %}
            <div class = "flex-column lebar-max form-group montserrat-deskripsi">
                <p>Nama mata kuliah</p>
                {{ input_form.nama_matkul }}
            </div>
            <div class = "flex-column lebar-max form-group montserrat-deskripsi">
                <p>Dosen pengajar</p>
                {{ input_form.dosen_pengajar }}
            </div>
            <div class = "flex-column lebar-max form-group montserrat-deskripsi">
                <p>Kelas</p>
                {{ input_form.kelas }}
            </div>
            <div class = "flex-row lebar-max form-group flex-wrap">
                <div id = "semester" class = "flex-column lebar-half">
                    <p>Semester tahun</p>
                    {{ input_form.semester_tahun }}
                </div>
                <div id = "sks" class = "flex-column lebar-half">
                    <p>SKS</p>
                    {{ input_form.sks }}
                </div>
            </div>
            <div class = "flex-column lebar-max form-group montserrat-deskripsi">
                <p>Deskripsi mata kuliah</p>
                {{ input_form.deskripsi_matkul }}
            </div>
            <div class = "flex-column lebar-max fomr-group">
                <button type="submit" value = "Submit" class="btn btn-primary montserrat-deskripsi">Submit</button>
            </div>
        </form>
        <div class = "flex-column center outside-in lebar-half orange">
            <div id = "list-in" class = "outside-in lebar-max" style = "box-shadow: 15px 15px 50px rgba(0, 0, 0, 0.25);">
                <h1 class = "text-center inner-in montserrat-judul">List Mata Kuliah</h1>
                <div id = "matkul-matkul">
                    {% if list_matkul %}
                        {% for matkul in list_matkul %}
                        <div class = "flex-row sisi lebar-max inner-vertical-in">
                            <div class = "flex-wrap inner-horizontal-in montserrat-deskripsi" style = "width: 75%">
                                {{ matkul.nama_matkul }}
                            </div>
                            <div style = "width: 25%">
                                <a href="{% url 'Story_5:Story_5-detailmatkul' matkul.id %}">
                                    <button type="button" class="btn btn-outline-primary montserrat-deskripsi">Detail</button>
                                </a>
                            </div>
                        </div>
                        {% endfor %}
                    {% endif %}
                </div>
            </div>
        </div>
    </div>
{% endblock content %}